> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ninjachat.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Nano Banana Pro

> nano-banana-pro — Professional asset production. $0.08/image.

|              |                                                                            |
| ------------ | -------------------------------------------------------------------------- |
| **Model ID** | `nano-banana-pro`                                                          |
| **Provider** | Google                                                                     |
| **Cost**     | \$0.08/img                                                                 |
| **Tier**     | Premium                                                                    |
| **Speed**    | \~10-30s                                                                   |
| **Best for** | Professional asset production, complex multi-turn editing, highest quality |

## Description

Google's professional image generation model (Gemini 3 Pro Image). Uses advanced "Thinking" reasoning for complex instructions. Supports 4K output, Google Search grounding, and up to 5 high-fidelity reference images.

## Features

* Text-to-image
* Image editing
* Thinking mode
* Text rendering
* Up to 4K resolution
* Professional quality

## Example

```bash theme={null}
curl -X POST https://www.ninjachat.ai/api/v1/images \
  -H "Authorization: Bearer nj_sk_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "nano-banana-pro", "prompt": "A sunset over mountains, photorealistic"}'
```

```python theme={null}
import requests, os

r = requests.post("https://www.ninjachat.ai/api/v1/images",
    headers={"Authorization": f"Bearer {os.environ['NINJACHAT_API_KEY']}"},
    json={"model": "nano-banana-pro", "prompt": "A sunset over mountains, photorealistic"}
)
print(r.json()["images"][0]["url"])
```

***

**Guides:** [Image Generation](/image-generation) | [All Models](/models) | [Pricing](/pricing) | [Error Handling](/error-handling)
